MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
MyGUI::DataMemoryStream Class Reference

`#include <MyGUI_DataMemoryStream.h>`

Inheritance diagram for MyGUI::DataMemoryStream:
[legend]

## Public Member Functions
| DataMemoryStream ()
| DataMemoryStream (unsigned char *_data, size_t _size)
virtual | ~DataMemoryStream ()
virtual bool | eof ()
virtual size_t | size ()
virtual void | readline (std::string &_source, Char _delim)
virtual size_t | read (void *_buf, size_t _count)
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()

## Protected Attributes
unsigned char * | mData
size_t | mSize
std::stringstream * | mStream

## Detailed Description

Definition at line 16 of file MyGUI_DataMemoryStream.h.

## Constructor & Destructor Documentation

MyGUI::DataMemoryStream::DataMemoryStream | ( |  | ) |

Definition at line 13 of file MyGUI_DataMemoryStream.cpp.

MyGUI::DataMemoryStream::DataMemoryStream | ( | unsigned char * | _data,
|  | size_t | _size
| ) |  |

Definition at line 20 of file MyGUI_DataMemoryStream.cpp.

MyGUI::DataMemoryStream::~DataMemoryStream | ( |  | ) |
| virtual

Definition at line 27 of file MyGUI_DataMemoryStream.cpp.

## Member Function Documentation

bool MyGUI::DataMemoryStream::eof | ( |  | ) |
| virtual

Implements MyGUI::IDataStream.

Definition at line 37 of file MyGUI_DataMemoryStream.cpp.

size_t MyGUI::DataMemoryStream::read | ( | void * | _buf,
|  | size_t | _count
| ) |  |
| virtual

Implements MyGUI::IDataStream.

Definition at line 53 of file MyGUI_DataMemoryStream.cpp.

void MyGUI::DataMemoryStream::readline | ( | std::string & | _source,
|  | Char | _delim
| ) |  |
| virtual

Implements MyGUI::IDataStream.

Definition at line 45 of file MyGUI_DataMemoryStream.cpp.

size_t MyGUI::DataMemoryStream::size | ( |  | ) |
| virtual

Implements MyGUI::IDataStream.

Definition at line 32 of file MyGUI_DataMemoryStream.cpp.

## Field Documentation

unsigned char* MyGUI::DataMemoryStream::mData
| protected

Definition at line 33 of file MyGUI_DataMemoryStream.h.

size_t MyGUI::DataMemoryStream::mSize
| protected

Definition at line 34 of file MyGUI_DataMemoryStream.h.

std::stringstream* MyGUI::DataMemoryStream::mStream
| protected

Definition at line 35 of file MyGUI_DataMemoryStream.h.

The documentation for this class was generated from the following files:

- MyGUI_DataMemoryStream.h
- MyGUI_DataMemoryStream.cpp